summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-admin/pydf/pydf-10-r1.ebuild')
-rw-r--r--app-admin/pydf/pydf-10-r1.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/app-admin/pydf/pydf-10-r1.ebuild b/app-admin/pydf/pydf-10-r1.ebuild
new file mode 100644
index 000000000000..f63627c1acad
--- /dev/null
+++ b/app-admin/pydf/pydf-10-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+inherit python-r1
+
+DESCRIPTION="Enhanced df with colors"
+HOMEPAGE="http://kassiopeia.juls.savba.sk/~garabik/software/pydf/"
+SRC_URI="http://kassiopeia.juls.savba.sk/~garabik/software/pydf/${PN}_${PV}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="amd64 arm ppc ppc64 x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e "s:/etc/pydfrc:${EPREFIX}/etc/pydfrc:" pydf || die
+}
+
+src_install() {
+ python_foreach_impl python_doscript pydf
+ insinto /etc
+ doins pydfrc
+ doman pydf.1
+ dodoc README
+}